package com.pcloud.book.cultivate.enums;

public enum FishBallChangeTypeEnum {
    /**
     * 1用户自己收
     */
    USER_CHANGE(1),
    /**
     * 2熄灯之后系统自动收取
     */
    AUTO_CHANGE(2),
    /**
     * 退出好友座位获取银两
     */
    EXIT_FRIEND_SEAT_CHANGE(3),
    /**
     * 被占座好友踢走获取银两
     */
    KICK_OUT_BY_FRIEND_CHANGE(4),
    /**
     * 占座好友熄灯获取到的银两
     */
    FRIEND_LIGHTS_OUT_CHANGE(5);

    public final Integer value;

    FishBallChangeTypeEnum(Integer value) {
        this.value = value;
    }
}
